GCC 编译的文件不能执行 权限不够 怎么办??

为当前最终发行版之前的所有版本提供支持
回复
leohxj
帖子: 5
注册时间: 2010-06-19 23:28
送出感谢: 0
接收感谢: 0

GCC 编译的文件不能执行 权限不够 怎么办??

#1

帖子 leohxj » 2010-12-04 22:49

GCC 编译的文件 不能执行 权限不够。
说bash权限不够,文件没有X权限,chmod -x 也加不上去。
sudo也执行不了。原来的10.04还是好好的,现在10.10不能用了。
我要用gcc啊~~~!~!~!~
求救!!!
头像
nerver
帖子: 2061
注册时间: 2009-11-19 19:35
送出感谢: 0
接收感谢: 0

Re: GCC 编译的文件不能执行 权限不够 怎么办??

#2

帖子 nerver » 2010-12-04 22:57

chmod -x

不是
chmod +x
吗?
——nerver is not never
leohxj
帖子: 5
注册时间: 2010-06-19 23:28
送出感谢: 0
接收感谢: 0

Re: GCC 编译的文件不能执行 权限不够 怎么办??

#3

帖子 leohxj » 2010-12-05 23:34

+X 也加不上去。
头像
cnkilior
论坛版主
帖子: 4979
注册时间: 2007-08-05 17:40
送出感谢: 0
接收感谢: 5 次

Re: GCC 编译的文件不能执行 权限不够 怎么办??

#4

帖子 cnkilior » 2010-12-05 23:36

请确定文件所在的分区,有没有添加noexec标志。
回复

回到 “老旧版本支持”